Product comparison · 2 network switches

Allied Telesis AT-GS920/16-50 Unmanaged Gigabit Ethernet (10/100/1000) Grey vs EnGenius EWS7952P Wireless Managed L2 switch 48-port GbE PoE+ Switch 4 x SFP

Add a product
  • 18specifications compared
  • 13differ
  • 5identical
  • 50known for one product only

Key differences

  • Switch type
    • AT-GS920/16-50 Unmanaged Gigabit Ethernet (10/100/1000) Grey:Unmanaged
    • EWS7952P Wireless Managed L2 switch 48-port GbE PoE+ Switch 4 x SFP:Managed
  • Basic switching RJ-45 Ethernet ports quantity
    • AT-GS920/16-50 Unmanaged Gigabit Ethernet (10/100/1000) Grey:16
    • EWS7952P Wireless Managed L2 switch 48-port GbE PoE+ Switch 4 x SFP:48
  • Switching capacity
    • AT-GS920/16-50 Unmanaged Gigabit Ethernet (10/100/1000) Grey:32 Gbit/s
    • EWS7952P Wireless Managed L2 switch 48-port GbE PoE+ Switch 4 x SFP:104 Gbit/s
  • Rack mounting
    • AT-GS920/16-50 Unmanaged Gigabit Ethernet (10/100/1000) Grey:No
    • EWS7952P Wireless Managed L2 switch 48-port GbE PoE+ Switch 4 x SFP:Yes
  • Product colour
    • AT-GS920/16-50 Unmanaged Gigabit Ethernet (10/100/1000) Grey:Grey
    • EWS7952P Wireless Managed L2 switch 48-port GbE PoE+ Switch 4 x SFP:Black, Blue
  • LED indicators
    • AT-GS920/16-50 Unmanaged Gigabit Ethernet (10/100/1000) Grey:Yes
    • EWS7952P Wireless Managed L2 switch 48-port GbE PoE+ Switch 4 x SFP:Fault, LAN, PoE, Power
  • Power over Ethernet (PoE)
    • AT-GS920/16-50 Unmanaged Gigabit Ethernet (10/100/1000) Grey:No
    • EWS7952P Wireless Managed L2 switch 48-port GbE PoE+ Switch 4 x SFP:Yes
  • Storage temperature (T-T)
    • AT-GS920/16-50 Unmanaged Gigabit Ethernet (10/100/1000) Grey:-20 - 70 °C
    • EWS7952P Wireless Managed L2 switch 48-port GbE PoE+ Switch 4 x SFP:-40 - 70 °C

Side by side

Differences highlightedShow differences only (off)
Comparison of AT-GS920/16-50, EWS7952P
68 specifications
Management features1 differ
Switch typeDiffersUnmanagedManaged
Switch layerKnown for oneUnknown — not stated by the sourceL2
Quality of Service (QoS) supportKnown for oneUnknown — not stated by the sourceYes
Web-based managementKnown for oneUnknown — not stated by the sourceYes
MIB supportKnown for oneUnknown — not stated by the sourceRFC1213, RFC1493, RFC1757, RFC2674
Ports & interfaces1 differ
Basic switching RJ-45 Ethernet ports quantityDiffers1648
Basic switching RJ-45 Ethernet ports typeGigabit Ethernet (10/100/1000)Gigabit Ethernet (10/100/1000)
SFP module slots quantityKnown for oneUnknown — not stated by the source4
Console portKnown for oneUnknown — not stated by the sourceRJ-45
Installed SFP modules quantityKnown for one0Unknown — not stated by the source
Installed SFP+ modules quantityKnown for one0Unknown — not stated by the source
Network1 differ
Networking standardsDiffersIEEE 802.3, IEEE 802.3ab, IEEE 802.3az, IEEE 802.3u, IEEE 802.3xIEEE 802.1D, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at
10G supportKnown for oneUnknown — not stated by the sourceNo
Port mirroringKnown for oneUnknown — not stated by the sourceYes
IP routingKnown for oneUnknown — not stated by the sourceYes
Broadcast storm controlKnown for oneUnknown — not stated by the sourceYes
Link aggregationKnown for oneUnknown — not stated by the sourceYes
Rate limitingKnown for oneUnknown — not stated by the sourceYes
Spanning tree protocolKnown for oneUnknown — not stated by the sourceYes
VLAN supportKnown for oneUnknown — not stated by the sourceYes
Copper ethernet cabling technologyKnown for one10BASE-T, 100BASE-TX, 1000BASE-TXUnknown — not stated by the source
Auto MDI/MDI-XKnown for oneYesUnknown — not stated by the source
Flow control supportKnown for oneYesUnknown — not stated by the source
Data transmission1 differ
MAC address table8000 entries8000 entries
Switching capacityDiffers32 Gbit/s104 Gbit/s
Store-and-forwardKnown for oneUnknown — not stated by the sourceYes
Number of queuesKnown for oneUnknown — not stated by the source4
Jumbo frames supportYesYes
Jumbo framesKnown for oneUnknown — not stated by the source9216
Packet buffer memoryKnown for oneUnknown — not stated by the source1.5 MB
Securityidentical
DHCP featuresKnown for oneUnknown — not stated by the sourceDHCP client
Access Control List (ACL)Known for oneUnknown — not stated by the sourceYes
IGMP snoopingKnown for oneUnknown — not stated by the sourceYes
MAC address filteringKnown for oneUnknown — not stated by the sourceYes
SSH/SSL supportKnown for oneUnknown — not stated by the sourceYes
Security algorithmsKnown for oneUnknown — not stated by the sourceWEP, WPA, WPA-PSK, WPA2, WPA2-PSK
Protocolsidentical
Management protocolsKnown for oneUnknown — not stated by the sourceSNMP v1/v2c/v3, CLI, RMONv1, SYSLOG
Design3 differ
Rack mountingDiffersNoYes
StackableKnown for oneUnknown — not stated by the sourceYes
Form factorKnown for oneUnknown — not stated by the source1U
Product colourDiffersGreyBlack, Blue
LED indicatorsDiffersYesFault, LAN, PoE, Power
SafetyKnown for oneUL60950-1, CSA C22.2 No.60950-1-07, IEC60950-1Unknown — not stated by the source
Performanceidentical
Internal memoryKnown for oneUnknown — not stated by the source256 MB
Flash memoryKnown for oneUnknown — not stated by the source32 MB
Buffer sizeKnown for one524 KBUnknown — not stated by the source
Poweridentical
Power consumption (typical)Known for oneUnknown — not stated by the source410 W
Power supply includedKnown for oneYesUnknown — not stated by the source
AC input voltageKnown for one100 - 240 VUnknown — not stated by the source
AC input frequencyKnown for one50 - 60 HzUnknown — not stated by the source
Power over Ethernet (PoE)1 differ
Power over Ethernet (PoE)DiffersNoYes
Power over Ethernet (PoE) ports quantityKnown for oneUnknown — not stated by the source48
Power over Ethernet (PoE) power per portKnown for oneUnknown — not stated by the source30 W
Total Power over Ethernet (PoE) budgetKnown for oneUnknown — not stated by the source410 W
Operational conditions2 differ
Operating temperature (T-T)0 - 50 °C0 - 50 °C
Storage temperature (T-T)Differs-20 - 70 °C-40 - 70 °C
Operating relative humidity (H-H)Differs5 - 80%5 - 95%
Storage relative humidity (H-H)Known for one5 - 95%Unknown — not stated by the source
Operating altitudeKnown for one0 - 2000 mUnknown — not stated by the source
Weight & dimensions3 differ
WidthDiffers263 mm440 mm
DepthDiffers179 mm260 mm
HeightDiffers38 mm44 mm
WeightKnown for oneUnknown — not stated by the source5.94 kg
Packaging contentidentical
Cables includedKnown for oneUnknown — not stated by the sourceAC, LAN (RJ-45)
Quick start guideKnown for oneUnknown — not stated by the sourceYes
ManualKnown for oneUnknown — not stated by the sourceYes
Rack mount kitKnown for oneUnknown — not stated by the sourceYes
Logistics dataidentical
Harmonized System (HS) code8517699085176990

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More network switch comparisons

All network switch comparisons